Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Marcin Borkowski <[email-masked]>
Date: Fri, 05 Feb 2016 18:57:49 +0100

On 2016-02-05, at 16:38, Drew Adams <[email-masked]> wrote:

>> > You mean, there should no longer be a vanilla fundamental mode?  I would
>> > argue that no "helpful" electric modes should be enabled in FM.  At the
>> > moment, it appears, we are lacking a What-You-Do-Is-What-You-Get mode.
>> >
>> > I think electric-*-modes should be disabled in FM unless explicitly
>> > enabled by the user in an FM buffer.  We've become far too "clever" with
>> > all these facilities.
>> 
>> electric-indent-mode is the only electric-*-mode on by default, and I
>> never understood why it was enabled. Up until bracketed paste was
>> implemented, this issue of indenting pastes had been an annoyance (only
>> later on did I realize to disable this electric mode).
>
> I agree.  I disabled it as soon as I encountered it, but I disagree
> that users should be subjected to it by default.  Especially in
> Fundamental mode.

+1.  Fundamental mode should be Notepad-like as much as possible IMHO.
(Incidentally, I almost never use Fundamental mode, exactly because of
that.)

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University